> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fleetit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Billing Statuses

> Retrieve all billing statuses.



## OpenAPI

````yaml get /v2/billing_statuses/
openapi: 3.0.3
info:
  title: Fleet IT Customer API
  version: 2.0.0
  description: >-
    Public API for Fleet IT platform customers.


    For detailed guides, authentication setup, error codes, and integration
    examples, see the [Fleet IT
    Documentation](https://docs.fleetit.com/documentation/overview).


    ## Headers


    All authenticated endpoints accept an optional `Fleet-Id` header (integer)
    to specify which fleet to operate on. If omitted, the user's default fleet
    is used.
servers: []
security:
  - JWT: []
  - APIKey: []
externalDocs:
  url: https://docs.fleetit.com/documentation/overview
  description: Fleet IT Documentation
paths:
  /v2/billing_statuses/:
    get:
      tags:
        - Billing Statuses
      description: >-
        ViewSet for managing billing statuses.


        - LIST: Returns system billing statuses (no fleet) + user's fleet
        billing statuses

        - CREATE: Automatically ties the new billing status to the requesting
        user's fleet

        - UPDATE/DELETE: Only allowed for fleet-specific billing statuses (not
        system statuses)
      operationId: v2_billing_statuses_list
      parameters:
        - in: query
          name: ticket_type
          schema:
            type: integer
            enum:
              - PARKING
              - TOLL
          description: |-
            * `TOLL` - toll
            * `PARKING` - parking
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BillingStatus'
          description: ''
components:
  schemas:
    BillingStatus:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        value:
          type: string
        display_text:
          type: string
        ticket_type:
          type: string
        fleet:
          type: integer
          readOnly: true
          nullable: true
        is_system:
          type: string
          readOnly: true
      required:
        - display_text
        - fleet
        - id
        - is_system
        - ticket_type
        - value
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      in: header
      name: Authorization

````